<template>
  <v-container fluid class="pa-0">
    <v-carousel
      cover
      hide-delimiters
      :show-arrows="false"
      cycle
      :interval="12000"
    >
      <v-carousel-item>
        <video-background
          src="/banner-ken.mp4"
          :loop="true"
          style="height: 35rem"
          :playbackRate="0.5"
          overlay="linear-gradient(45deg, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0))"
        >
          <v-card
            color="transparent"
            flat
            tile
            style="margin-top: 5rem"
            class="white--text ml-7 tracking-in-contract-bck-bottom pb-8 pt-8 pl-5"
            :width="this.$vuetify.breakpoint.xs ? '90%' : '50%'"
          >
            <v-card-title
              class="font-weight-bold"
              :class="
                this.$vuetify.breakpoint.xs
                  ? 'mobile-movie-title'
                  : 'desktop-movie-title'
              "
              >HAUS DES GELDES</v-card-title
            >
            <v-rating
              v-model="rating"
              readonly
              color="yellow"
              active-color="yellow"
              half-increments
              class="ml-2"
              hover
              size="20"
            ></v-rating>
            <v-card-subtitle class="grey--text mt-2"
              >Eine spanische Krimiserie rund ums Heist-Movie-Motiv
              spektakulärer krimineller Coups: Ein Mann, der sich „Professor“
              nennt, schart eine Crew von acht Einbruchs-SpezialistInnen um
              sich, um scheinbar unmögliche Raubüberfälle durchzuziehen und als
              moderne Robin Hoods die Zentren des Geldmarkts hochzunehmen.
            </v-card-subtitle>
            <v-card-subtitle>
              <v-btn
                outlined
                color="grey"
                @click="startTrailer('haus_des_geldes')"
                >Trailer ansehen</v-btn
              >
              <v-btn class="ml-3" small plain color="grey" text>
                <v-icon class="mr-2">mdi-plus</v-icon>
                Watchlist</v-btn
              >
            </v-card-subtitle>
          </v-card>
        </video-background>
      </v-carousel-item>
      <v-carousel-item>
        <video-background
          src="/ironman.mp4"
          :loop="true"
          style="height: 35rem"
          :playbackRate="0.5"
          overlay="linear-gradient(45deg, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0))"
        >
          <v-card
            color="transparent"
            flat
            tile
            style="margin-top: 5rem"
            class="white--text ml-7 tracking-in-contract-bck-bottom pb-8 pt-8 pl-5"
            :width="this.$vuetify.breakpoint.xs ? '90%' : '50%'"
          >
            <v-card-title
              class="font-weight-bold"
              :class="
                this.$vuetify.breakpoint.xs
                  ? 'mobile-movie-title'
                  : 'desktop-movie-title'
              "
              >IRON MAN 3</v-card-title
            >
            <v-rating
              v-model="rating"
              readonly
              color="yellow"
              active-color="yellow"
              half-increments
              class="ml-2"
              hover
              size="20"
            ></v-rating>
            <v-card-subtitle class="grey--text mt-2"
              >Tony Stark bekommt es mit einem besonders gefährlichen und
              cleveren Gegner zu tun. Der Mann, Mandarin genannt, steht hinter
              einer Reihe grauenvoller terroristischer Attacken. Statt ihn zu
              jagen, wird Tony selbst zum Gejagten. Der Mandarin greift ihn dort
              an, wo er am verletztlichsten ist.
            </v-card-subtitle>
            <v-card-subtitle>
              <v-btn outlined color="grey" @click="startTrailer('ironman')"
                >Trailer ansehen</v-btn
              >
              <v-btn class="ml-3" small plain color="grey" text>
                <v-icon class="mr-2">mdi-plus</v-icon>
                Watchlist</v-btn
              >
            </v-card-subtitle>
          </v-card>
        </video-background>
      </v-carousel-item>
    </v-carousel>

    <v-card-title class="white--text pl-16 pt-16"
      >Zuletzt angesehen</v-card-title
    >
    <v-card-title class="pl-16 pb-16">
      <v-row no-gutters>
        <v-col sm="6" md="2">
          <v-img
            src="@/assets/wolfstreet.jpeg"
            class="shrink"
            contain
            width="130px"
            height="180px"
          >
            <v-footer absolute class="pa-1" color="transparent">
              <v-progress-linear
                value="40"
                background-color="grey"
                color="red"
              ></v-progress-linear>
            </v-footer>
          </v-img>
        </v-col>
        <v-col sm="6" md="2">
          <v-img
            src="@/assets/friends.jpg"
            class="shrink"
            contain
            width="130px"
            height="180px"
          >
            <v-footer absolute class="pa-1" color="transparent">
              <v-progress-linear
                value="58"
                background-color="grey"
                color="red"
              ></v-progress-linear>
            </v-footer>
          </v-img>
        </v-col>
        <v-col sm="6" md="2">
          <v-img
            src="@/assets/iron-man.jpg"
            class="shrink"
            contain
            width="130px"
            height="180px"
          >
            <v-footer absolute class="pa-1" color="transparent">
              <v-progress-linear
                value="25"
                background-color="grey"
                color="red"
              ></v-progress-linear>
            </v-footer>
          </v-img>
        </v-col>
      </v-row>
    </v-card-title>
    <v-dialog
      v-model="trailerDialog"
      width="800px"
      overlay
      overlay-opacity="0.80"
    >
      <v-card width="100%" fluid tile color="transparent">
        <iframe
          width="100%"
          height="500px"
          :src="link"
          title="YouTube video player"
          frameborder="0"
          allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
          allowfullscreen
        ></iframe>
      </v-card>
    </v-dialog>
  </v-container>
</template>

<script>
export default {
  name: "HomeView",
  data: () => ({
    rating: 4.5,
    trailerDialog: false,
    value: "",
    link: "",
    //
  }),
  components: {},
  methods: {
    startTrailer(value) {
      this.trailerDialog = true;
      if (value == "haus_des_geldes") {
        this.link =
          "https://www.youtube.com/embed/y-97w1X1IH0?si=bcoEWkq_0H0ONKeu";
      } else {
        this.link =
          "https://www.youtube.com/embed/I-JXqQR_FKk?si=uthES9jS0npk3iyp";
      }
      console.log(value);
    },
  },
};
</script>
<style scoped>
.desktop-movie-title {
  font-size: 40px !important;
}
.mobile-movie-title {
  font-size: 30px !important;
}
.tracking-in-contract-bck-bottom {
  -webkit-animation: tracking-in-contract-bck-bottom 1s
    cubic-bezier(0.215, 0.61, 0.355, 1) both;
  animation: tracking-in-contract-bck-bottom 1s
    cubic-bezier(0.215, 0.61, 0.355, 1) both;
}
@-webkit-keyframes tracking-in-contract-bck-bottom {
  0% {
    letter-spacing: 1em;
    -webkit-transform: translateZ(400px) translateY(300px);
    transform: translateZ(400px) translateY(300px);
    opacity: 0;
  }
  40% {
    opacity: 0.6;
  }
  100% {
    -webkit-transform: translateZ(0) translateY(0);
    transform: translateZ(0) translateY(0);
    opacity: 1;
  }
}
@keyframes tracking-in-contract-bck-bottom {
  0% {
    letter-spacing: 1em;
    -webkit-transform: translateZ(400px) translateY(300px);
    transform: translateZ(400px) translateY(300px);
    opacity: 0;
  }
  40% {
    opacity: 0.6;
  }
  100% {
    -webkit-transform: translateZ(0) translateY(0);
    transform: translateZ(0) translateY(0);
    opacity: 1;
  }
}
</style>
